## gretl 1.9.3

=== win32/Makefile ===
# This makefile can be used for cross-compiling gretl for win32
# on Linux, or for a native build on MS Windows.  In both cases we
# assume that the mingw compiler is used.  The build type is
# controlled by the BUILDTYPE variable in config.mk, included
# below.

include config.mk

# directories
topsrc = ..
libsrcdir  = $(topsrc)/lib/src
plugindir = $(topsrc)/plugin
zipdir = $(topsrc)/plugin/zipunzip
guidir = $(topsrc)/gui2
imports = ./import-libs
host_builddir = $(topsrc)/build

# tools (can add -fopenmp to CC if wanted)
CC = $(MGW_PREFIX)gcc -Wall -O2 -mms-bitfields -DWIN32
AS = $(MGW_PREFIX)as
DLLWRAP = $(MGW_PREFIX)dllwrap
DLLWRAP_FLAGS = --as=$(AS) --export-all --driver-name $(CC) -s
RC = $(MGW_PREFIX)windres
RCFLAGS = --define __WIN32__ --define __WIN95__ --define MSRC \
	--define __GNUWIN32__

# libraries
GTKLIBS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --libs gtk+-win32-2.0)
GLIBLIB := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --libs glib-2.0)
CLI_LIBS = -lreadline -lhistory
GUI_LIBS = -lwsock32 -lole32 $(GTKLIBS) -lgtksourceview -lxml2 -L$(imports)
GRETLLIB = -L$(imports) -lgretl -lintl
LIBS = -lm $(GRETLLIB) -ladvapi32
LAPACK_LIBS = -llapack -lblas
FFTW_LIBS = -lfftw3

# flags/defines
CFLAGS = -I. -I$(libsrcdir) -I$(plugindir) -I$(guidir) \
  -I$(XML2_INC) -I$(zipdir) $(RLIB_CFLAGS) 
GTK_CFLAGS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --cflags gtk+-win32-2.0)

ifeq ($(BUILDTYPE),cross)
  GRETL_LANG = cross_lang
  BUILDDATE = cross_builddate
else
  GRETL_LANG = native_lang
  BUILDDATE = native_builddate
endif

# source paths
vpath %.c $(libsrcdir)
vpath %.c $(topsrc)/cephes
vpath %.c $(topsrc)/minpack
vpath %.c $(topsrc)/cli
vpath %.c $(guidir)
vpath %.c $(plugindir)
vpath %.c $(plugindir)/libole2
vpath %.c $(plugindir)/zipunzip
vpath %.c $(plugindir)/rq
vpath %.c $(topsrc)/tests
vpath %.h $(libsrcdir):$(topsrc)/cli:$(guidir):$(plugindir):.
vpath %.h $(topsrc)/cephes:..
vpath %.rc $(topsrc)/win32

#### End of system configuration section. ####

PLUGINSRC = \
	arbond.c \
	excel_import.c \
	gnumeric_import.c \
	eviews_import.c \
	stata_import.c \
	spss_import.c \
	sas_import.c \
	jmulti_import.c \
	ods_import.c \
	johansen.c \
	jrestrict.c \
	jalpha.c \
	kernel.c \
	vif.c \
	leverage.c \
	mp_ols.c \
	pca.c \
	progress_bar.c \
	range-mean.c \
	fractals.c \
	poisson.c \
	duration.c \
	stats_tables.c \
	sysest.c \
	fiml.c \
	liml.c \
	tramo_options.c \
	tramo-x12a.c \
	nistcheck.c \
	arma_cml.c \
	arma_init.c \
	arma.c \
        arma_x12.c \
	workbook.c \
	tobit.c \
	mod_garch.c \
	fcp.c \
	garch.c \
        audio.c \
	urcdist.c \
	gretlzip.c \
	heckit.c \
	odbc_import.c \
	quantreg.c \
	interval.c \
	anova.c \
	biprobit.c

PLUGINOBJ = $(PLUGINSRC:.c=.o)

PLUGINS = plugins/stats_tables.dll \
	plugins/progress_bar.dll \
	plugins/gnumeric_import.dll \
	plugins/eviews_import.dll \
	plugins/excel_import.dll \
	plugins/stata_import.dll \
	plugins/spss_import.dll \
	plugins/sas_import.dll \
	plugins/jmulti_import.dll \
	plugins/ods_import.dll \
	plugins/mp_ols.dll \
	plugins/sysest.dll \
	plugins/johansen.dll \
	plugins/kernel.dll \
	plugins/arbond.dll \
	plugins/arma.dll \
	plugins/arma_x12.dll \
	plugins/range-mean.dll \
	plugins/fractals.dll \
	plugins/poisson.dll \
	plugins/duration.dll \
	plugins/tramo-x12a.dll \
	plugins/leverage.dll \
	plugins/pca.dll \
	plugins/nistcheck.dll \
	plugins/tobit.dll \
	plugins/garch.dll \
        plugins/audio.dll \
	plugins/vif.dll \
	plugins/urcdist.dll \
	plugins/gretlzip.dll \
	plugins/heckit.dll \
	plugins/odbc_import.dll \
	plugins/quantreg.dll \
	plugins/interval.dll \
	plugins/anova.dll \
	plugins/interpolate.dll \
	plugins/biprobit.dll \
	plugins/panurc.dll

LIBSRC = adf_kpss.c \
	bhhh_max.c \
	bootstrap.c \
	boxplots.c \
	calendar.c \
	compare.c \
	compat.c \
	csvdata.c \
	dataio.c \
	dataset.c \
	dbread.c \
	dbwrite.c \
	describe.c \
        discrete.c \
	estimate.c \
	flow_control.c \
	forecast.c \
	geneval.c \
	genfuncs.c \
	genlex.c \
	genmain.c \
	gensyntax.c \
        gmm.c \
	graphing.c \
	gretl_bfgs.c \
	gretl_bundle.c \
	gretl_commands.c \
	gretl_data_io.c \
	gretl_errors.c \
	gretl_fft.c \
	gretl_foreign.c \
	gretl_func.c \
	gretl_intl.c \
	gretl_list.c \
	gretl_matrix.c \
	gretl_model.c \
	gretl_panel.c \
	gretl_paths.c \
	gretl_prn.c \
	gretl_restrict.c \
	gretl_scalar.c \
	gretl_string_table.c \
	gretl_untar.c \
	gretl_utils.c \
	gretl_win32.c \
	gretl_www.c \
	gretl_xml.c \
	interact.c \
	kalman.c \
	libglue.c \
	libset.c \
	matrix_extra.c \
	missing.c \
	modelprint.c \
	monte_carlo.c \
	nls.c \
	nonparam.c \
	objstack.c \
	options.c \
	plotspec.c \
	plugins.c \
	printout.c \
	printscan.c \
	pvalues.c \
	qr_estimate.c \
	random.c \
	strutils.c \
	subsample.c \
	system.c \
	texprint.c \
	transforms.c \
	tsls.c \
        usermat.c \
	var.c \
	varprint.c \
	vartest.c \
	irfboot.c

LIBOBJ = $(LIBSRC:.c=.o)

CLISRC = gretlcli.c complete.c 

CLIOBJ = $(CLISRC:.c=.o)

GUISRC = about.c \
	calculator.c \
	callbacks.c \
	cmdstack.c \
	console.c \
	database.c \
	datafiles.c \
	datawiz.c \
	dialogs.c \
	dlgutils.c \
	filelists.c \
	fileselect.c \
	filters.c \
	fncall.c \
	fnsave.c \
	gpt_control.c \
	gpt_dialog.c \
	graphics.c \
	graph_page.c \
	gretl.c \
	gretlwin32.c \
	guiprint.c \
	gui_recode.c \
	gui_utils.c \
	helpfiles.c \
	lagpref.c \
	library.c \
	menustate.c \
	model_table.c \
	objectsave.c \
	obsbutton.c \
	selector.c \
	series_view.c \
	session.c \
	settings.c \
	ssheet.c \
	textbuf.c \
	textutil.c \
	toolbar.c \
	treeutils.c \
	update.c \
	varinfo.c \
	winstack.c

ifeq ($(HAVE_GTK_SPINNER),no)
  GUISRC += spinner.c
endif

GUIOBJ = $(GUISRC:.c=.o)

PROBSRC = airy.c const.c hyp2f1.c igami.c j1.c kn.c pdtr.c struve.c \
	bdtr.c expx2.c hyperg.c incbet.c jn.c mtherr.c polevl.c unity.c \
	btdtr.c fdtr.c i0.c incbi.c jv.c  nbdtr.c polrt.c yn.c \
	chbevl.c gamma.c i1.c iv.c k0.c kv.c ndtr.c psi.c \
	chdtr.c gdtr.c igam.c j0.c k1.c ndtri.c stdtr.c

PROBOBJ = $(PROBSRC:.c=.o)

MINSRC = chkder.c dpmpar.c enorm.c fdjac2.c lmder1.c lmder.c lmdif.c lmpar.c \
	qrfac.c qrsolv.c lbfgsb.c
MINOBJ = $(MINSRC:.c=.o)

OBJS = $(LIBOBJ) $(CLIOBJ) $(GUIOBJ) $(PLUGINOBJ)

MOFILES = mo/de.po mo/es.mo mo/eu.mo mo/fr.mo mo/it.mo mo/pl.mo mo/pt.mo \
	mo/ru.mo mo/rw.mo mo/tr.mo mo/cs.mo mo/sq.mo

%.o: %.c
	$(CC) -c $(CFLAGS) $(GTK_CFLAGS) $<
	$(CC) -MM $(CFLAGS) $(GTK_CFLAGS) $< > $*.d 

# targets begin

all: buildstamp dirs dlls/libprob.dll dlls/libgretl.dll \
	$(PLUGINS) gretlcli.exe gretlw32.exe $(MOFILES) $(GRETL_LANG) gretl_updater.exe

gretlcli.exe: $(CLIOBJ)
	$(CC) -o $@ $^ $(LIBS) $(CLI_LIBS) -lzlib1 -lmingwex -s

gretlw32.exe: $(GUIOBJ) gretlres.o
	$(CC) -mwindows -o $@ $^ $(LIBS) $(GUI_LIBS) -lzlib1 -lmingwex -s

gretlres.o: gretlw32.rc 
	$(RC) $(RCFLAGS) $< $@

cross_lang: $(libsrcdir)/options.c $(libsrcdir)/genlex.c $(libsrcdir)/gretl_commands.c
	HERE=$$PWD ; cd $(host_builddir)/gui2 && make mklang && ./mklang > $$HERE/gretl.lang ; cd $$HERE

mklang.o: mklang.c $(libsrcdir)/options.c $(libsrcdir)/genlex.c $(libsrcdir)/gretl_commands.c
	$(CC) -c -I. -I$(libsrcdir) -I$(XML2_INC) $<

mklang.exe: mklang.o
	$(CC) -o $@ $< $(GRETLLIB) $(XML_LIBS)

native_lang: mklang.exe
	PATH=/bin:./dlls:/mingw/winbuild/misc-dll ./mklang.exe > gretl.lang

gretl_updater.exe:
	make -C updater

$(MOFILES):
	make -C mo

dlls/libgretl.dll: $(LIBOBJ) $(MINOBJ) dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) \
	--output-def libgretl.def --implib $(imports)/libgretl.a \
	-o $@ $^ -lg2c -lm -L$(imports) -lxml2 -lzlib1 -lintl -lprob -lgmp.dll \
	-lmingwex -lwsock32 $(GLIBLIB) $(LAPACK_LIBS) $(FFTW_LIBS)

dlls/libprob.dll: $(PROBOBJ) dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) \
	--output-def libprob.def --implib $(imports)/libprob.a \
	-o $@ $^ 

plugins/stats_tables.dll: stats_tables.o dllinit.o 
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ -lzlib1 $(GRETLLIB)

plugins/range-mean.dll: range-mean.o dllinit.o 
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB)

plugins/fractals.dll: fractals.o dllinit.o 
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB)

plugins/poisson.dll: poisson.o dllinit.o 
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) -lprob

plugins/duration.dll: duration.o dllinit.o 
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB)

plugins/kernel.dll: kernel.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) 

plugins/vif.dll: vif.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) $(LAPACK_LIBS)

plugins/urcdist.dll: urcdist.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ -lzlib1 -lm -lintl $(GRETLLIB)

plugins/tramo-x12a.dll: tramo-x12a.o tramo_options.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) $(GTKLIBS)

plugins/progress_bar.dll: progress_bar.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GTKLIBS) -L$(imports) -lintl

plugins/gnumeric_import.dll: gnumeric_import.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ -L$(imports) -lxml2 \
	$(GRETLLIB) $(GTKLIBS)

plugins/ods_import.dll: ods_import.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ -L$(imports) -lxml2 \
	$(GRETLLIB) $(GTKLIBS)

plugins/excel_import.dll: excel_import.o workbook.o ms-ole.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) $(GTKLIBS) -lmoldname

plugins/eviews_import.dll: eviews_import.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB)

plugins/stata_import.dll: stata_import.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GLIBLIB) $(GRETLLIB)

plugins/spss_import.dll: spss_import.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB)

plugins/sas_import.dll: sas_import.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB)

plugins/jmulti_import.dll: jmulti_import.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB)

plugins/mp_ols.dll: mp_ols.o dllinit.o 
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) -lmpfr.dll -lgmp.dll

plugins/sysest.dll: sysest.o fiml.o liml.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) $(LAPACK_LIBS)

plugins/johansen.dll: johansen.o jrestrict.o jalpha.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) $(LAPACK_LIBS)

plugins/leverage.dll: leverage.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) $(GTKLIBS) $(LAPACK_LIBS)

plugins/pca.dll: pca.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) $(GTKLIBS) $(LAPACK_LIBS)

plugins/nistcheck.dll: nistcheck.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) $(LAPACK_LIBS)

plugins/arbond.dll: arbond.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) $(LAPACK_LIBS)

=== utils/FRED/Makefile ===
CC = gcc -Wall -O2

CURL_CFLAGS := $(shell curl-config --cflags)
CURL_LIBS := $(shell curl-config --libs)
XML_CFLAGS := $(shell pkg-config --cflags libxml-2.0)
XML_LIBS := $(shell pkg-config --libs libxml-2.0)

CFLAGS = $(CURL_CFLAGS) $(XML_CFLAGS)
LIBS = $(CURL_LIBS) $(XML_LIBS) -lm

fred2db: fred2db.c
	$(CC) $(CFLAGS) -o $@ $< $(LIBS)

idx: fred2db
	./fred2db

clean:
	rm -f fred2db *.idx *.bin

=== win32/mo/Makefile ===
include ../config.mk

vpath %.po ../../po

%.mo: %.po
	$(WIN32_MSGFMT) -o $@ $<

all: de.mo es.mo eu.mo fr.mo it.mo pl.mo ru.mo rw.mo tr.mo pt.mo pt_BR.mo zh_TW.mo cs.mo sq.mo

clean:
	rm -f *.mo

=== debian/changelog ===
gretl (1.9.3-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 29 Nov 2010 20:59:33 -0600

gretl (1.9.2-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 03 Nov 2010 18:33:37 -0500

=== debian/control ===
Source: gretl
Section: math
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7.0.0), libgtk2.0-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot (>= 4.2), gnuplot-x11 (>= 4.2), libgmp3-dev, libaudiofile-dev, libdb-dev, libesd0-dev, libfreetype6-dev, libpng12-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, gfortran, r-base-dev, unixodbc-dev

Package: gretl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gretl-common (>= ${source:Version}), gnuplot (>= 4.2)
Recommends: gretl-data, gretl-doc
Description: The GNU Regression, Econometric & Time-Series Library
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides the GTK+ client and the command-line client.

Package: libgretl1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} 
Conflicts: libesl0, libgretl0
Replaces: libesl0, libgretl0
Description: The GNU Regression, Econometric & Time-Series Library -- library package 
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides the shared library.

Package: libgretl1-dev
Section: libdevel
Architecture: any
Depends: gretl, libgretl1 (= ${binary:Version}), ${misc:Depends}
Conflicts: libesl0-dev, libgretl0-dev
Replaces: libesl0-dev, libgretl0-dev
Description: The GNU Regression, Econometric & Time-Series Library -- development package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides the static library and header files.

Package: gretl-common
Section: math
Architecture: all
Suggests: gretl (>= ${source:Version})
Conflicts: gretl (<= 1.2.2-1)
Replaces: gretl (<= 1.2.2-1)
Depends: ttf-freefont, ttf-dejavu, ${misc:Depends}
Description: The GNU Regression, Econometric & Time-Series Library -- scripts package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides scripts (included in the gretl sources) which are 
 used by the main gretl program.

Package: gretl-data
Section: math
Architecture: all
Depends: gretl (>= ${source:Version}), ${misc:Depends}
Conflicts: gretl (<= 1.2.2-1)
Replaces: gretl (<= 1.2.2-1)
Description: The GNU Regression, Econometric & Time-Series Library -- data package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis. The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides data sets (included in the gretl sources) which are 
 used by the main gretl program.

Package: gretl-doc
Section: doc
Architecture: all
Recommends: gretl 
Depends: ${misc:Depends}
Conflicts: gretl (<= 1.2.2-1)
Replaces: gretl (<= 1.2.2-1)
Description: The GNU Regression, Econometric & Time-Series Library -- doc package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides documentation and examples included in the gretl 
 sources.

=== debian/rules ===
#!/usr/bin/make -f 					
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux gretl package
# Copyright 2000 - 2007 by Dirk Eddelbuettel <edd@debian.org>

package := $(shell head -1 debian/changelog | awk '{print $$1}')
sonum   := 1
libpack := libgretl$(sonum)
devpack := $(libpack)-dev
docpack := $(package)-doc
datpack := $(package)-data
compack := $(package)-common
srcver  := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f2 -d' ' | cut -f1 -d'-')
debtmp	:= $(CURDIR)/debian/$(package)

arch 	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

compilerflags	= -O2 -Wall
## edd 09 Feb 2003      no optimisation or debugging on m68k
ifneq "$(findstring $(arch), m68k-linux arm-linux)" ""
compilerflags	= -O0 -g0 -Wall
endif

#export DH_VERBOSE=1

upstream: get-orig-source
get-orig-source:
        # lynx http://gretl.sourceforge.net
        # lynx http://unc.dl.sourceforge.net/sourceforge/gretl
	links http://prdownloads.sourceforge.net/gretl
        #l inks http://twtelecom.dl.sourceforge.net/sourceforge/gretl

configure: configure-stamp
configure-stamp:
	dh_testdir
	DISPLAY="foo" 					\
	./configure	--prefix=/usr			\
			--with-gnome-install=/usr	\
			--without-gnome			\
			--with-mpfr 			\
			--without-gtksourceview		\
			--with-x-12-arima		\
			--with-tramo-seats		\
			--with-libR			\
			--with-odbc			\
			--enable-openmp			\
			--enable-static			\
			--enable-shared			\
			--disable-rpath			\
			--build $(arch)
	touch configure-stamp

## edd 02 May 2010  these are now implicit and/or obsolete
#   --with-lapack			
#   --with-gtk2			
#   --without-libole2		
#  --without-gtkextra		


build: configure build-stamp
build-stamp:
	dh_testdir
	$(MAKE) CC=gcc CFLAGS="$(compilerflags) -D_REENTRANT"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	-(cd gui && make cleanall)
	-find . -name \*.o -type f | xargs rm -vf 
	dh_clean build-stamp install-stamp configure-stamp check-stamp

check: build check-stamp
check-stamp:
	-$(MAKE) check
	touch check-stamp

install: build check install-stamp 
install-stamp: 
	$(MAKE) -f debian/rules DH_OPTIONS= install-work
install-work:
	dh_testdir
	dh_testroot
        #dh_clean -k
	dh_prep
	dh_installdirs	
	dh_installdirs -p$(package) 	usr/share/gnome/apps/Applications \
					usr/share/pixmaps
	$(MAKE) prefix=$(debtmp)/usr 			\
		gnome_prefix=$(debtmp)/usr 		\
		mandir=$(debtmp)/usr/share/man		install
	(cd gnome && $(MAKE) prefix=$(debtmp)/usr 	\
		gnome_prefix=$(debtmp)/usr 		\
		mandir=$(debtmp)/usr/share/man		install-misc )

        #	infodir=$(debtmp)/usr/share/info	\
        # dh_undocumented		gretl.1 gretlcli.1 gretl_x11.1

        # clean extra COPYING file
	(cd $(debtmp)/usr/share/$(package); \
		ln -svf ../common-licenses/GPL COPYING)

        ## this seems to have been forgotten at install time (version 1.1.0)
        ## gretl 1.8.7 no longer has it
        #chmod 755 gretl-config
        #cp -vax gretl-config debian/gretl/usr/bin

        ## Bug#400405 to get pixmap into desktop menu (also dh_movefiles)
	cp -vax pixmaps/gretl.xpm debian/gretl/usr/share/pixmaps

        # move static libs into dev-package  and binaries into bin package
	dh_movefiles 	--sourcedir=debian/$(package) -p$(devpack) 
	dh_movefiles 	--sourcedir=debian/$(package) -p$(libpack)
        # move docs
        ## dh_movefiles 	--sourcedir=debian/$(package) -p$(docpack)

        # move common and data package files
	dh_movefiles 		--sourcedir=debian/$(package) -p$(datpack)
	dh_movefiles 		--sourcedir=debian/$(package) -p$(compack)
	dh_installdocs 		-p$(compack)	
	dh_installdocs		-p$(docpack) 	README* doc/
	dh_installexamples      -p$(docpack)	utils/ extra/
        #dh_movefiles 		--sourcedir=debian/$(package) -p$(docpack)

        # edd 19 Mar 2009  remove fonts deemed non-free
	rm -vrf debian/$(compack)/usr/share/gretl/fonts

        # edd 26 Dec 2007  some lintian silencers
#	for p in $(package) $(libpack) $(compack); do \
#		dh_installdirs -p$$p usr/share/lintian/overrides; \
#		install -v -c -m 0644 debian/$$p.overrides \
#		   $(CURDIR)/debian/$$p/usr/share/lintian/overrides/$$p; \
#		done
	dh_lintian

	touch install-stamp

# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common: build check install 
	dh_testdir
	dh_testroot
        #dh_installdebconf
	dh_link			
	dh_installdocs -a	
	(cd $(debtmp)/usr/share/$(package); 		\
		ln -s ../doc/$(docpack)/doc . ; 	\
		ln -s ../doc/$(docpack)/examples . 	 )
        #dh_installexamples      
        #dh_installmenu
        #dh_installemacsen
        #dh_installpam
        #dh_installinit
        #dh_installcron
        #dh_installman		gretl.1
        #dh_installinfo
        #dh_undocumented
	dh_installchangelogs			ChangeLog
	dh_compress
	dh_fixperms
	dh_strip
        #dh_suidregister
        #echo "libgretl-1.0 0 libgretl1 (>= ${srcver})" \
        #	> debian/$(libpack).shlibs
#	dh_makeshlibs 	-V -p$(package) -p$(devpack) -p$(libpack)
	dh_makeshlibs 	-V -n -p$(devpack) 
	dh_makeshlibs 	-p$(libpack)
	dh_installdeb
#	dh_desktop 	-p$(compack)
        #dh_perl
	dh_shlibdeps	-l debian/$(libpack)/usr/lib/ 
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build install
	#$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
	dh_testdir -i
	dh_testroot -i
	dh_link -i			
	dh_installchangelogs -i
        #dh_installdocs -i
        #dh_installexamples -i
#	dh_installmenu -i
#	dh_installdebconf -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installcatalogs -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
#	dh_installcron -i
#	dh_installinfo -i
#	dh_undocumented -i
	dh_installman -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
#	dh_perl -i
#	dh_python -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture dependant packages using the common target.
binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

# Any other binary targets build just one binary package at a time.
binary-%: build install
	make -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## gretl 1.9.5

=== win32/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 host_builddir = $(topsrc)/build
 
 # tools (can add -fopenmp to CC if wanted)
-CC = $(MGW_PREFIX)gcc -Wall -O2 -mms-bitfields -DWIN32
+CC = $(MGW_PREFIX)gcc -msse2 -Wall -O2 -mms-bitfields -DWIN32
 AS = $(MGW_PREFIX)as
 DLLWRAP = $(MGW_PREFIX)dllwrap
 DLLWRAP_FLAGS = --as=$(AS) --export-all --driver-name $(CC) -s
@@ -31,7 +31,7 @@
 GUI_LIBS = -lwsock32 -lole32 $(GTKLIBS) -lgtksourceview -lxml2 -L$(imports)
 GRETLLIB = -L$(imports) -lgretl -lintl
 LIBS = -lm $(GRETLLIB) -ladvapi32
-LAPACK_LIBS = -llapack -lblas
+LAPACK_LIBS = -llapack.dll -lblas.dll
 FFTW_LIBS = -lfftw3
 
 # flags/defines
@@ -99,7 +99,6 @@
 	arma.c \
         arma_x12.c \
 	workbook.c \
-	tobit.c \
 	mod_garch.c \
 	fcp.c \
 	garch.c \
@@ -140,7 +139,6 @@
 	plugins/leverage.dll \
 	plugins/pca.dll \
 	plugins/nistcheck.dll \
-	plugins/tobit.dll \
 	plugins/garch.dll \
         plugins/audio.dll \
 	plugins/vif.dll \
@@ -303,8 +301,8 @@
 
 OBJS = $(LIBOBJ) $(CLIOBJ) $(GUIOBJ) $(PLUGINOBJ)
 
-MOFILES = mo/de.po mo/es.mo mo/eu.mo mo/fr.mo mo/it.mo mo/pl.mo mo/pt.mo \
-	mo/ru.mo mo/rw.mo mo/tr.mo mo/cs.mo mo/sq.mo
+MOFILES = mo/de.po mo/el.mo mo/es.mo mo/eu.mo mo/fr.mo mo/it.mo mo/pl.mo \
+	mo/pt.mo mo/ru.mo mo/rw.mo mo/tr.mo mo/cs.mo mo/sq.mo
 
 %.o: %.c
 	$(CC) -c $(CFLAGS) $(GTK_CFLAGS) $<
@@ -345,7 +343,7 @@
 dlls/libgretl.dll: $(LIBOBJ) $(MINOBJ) dllinit.o
 	$(DLLWRAP) $(DLLWRAP_FLAGS) \
 	--output-def libgretl.def --implib $(imports)/libgretl.a \
-	-o $@ $^ -lg2c -lm -L$(imports) -lxml2 -lzlib1 -lintl -lprob -lgmp.dll \
+	-o $@ $^ -lm -L$(imports) -lxml2 -lzlib1 -lintl -lprob -lgmp.dll \
 	-lmingwex -lwsock32 $(GLIBLIB) $(LAPACK_LIBS) $(FFTW_LIBS)
 
 dlls/libprob.dll: $(PROBOBJ) dllinit.o
@@ -417,7 +415,7 @@
 
 plugins/spss_import.dll: spss_import.o dllinit.o
 	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
-	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB)
+	--implib plugins/$(<:.o=.a) $^ $(GLIBLIB) $(GRETLLIB)
 
 plugins/sas_import.dll: sas_import.o dllinit.o
 	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \

=== debian/changelog ===
gretl (1.9.5-2build1) oneiric; urgency=low

  * gfortran-4.6 rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 11 Sep 2011 11:20:37 +0000

gretl (1.9.5-2) unstable; urgency=low

  * debian/control: Removed unneed 'libdb-dev' from Build-Depends. Thanks
    to Ondřej Surý for the heads-up.
  
  * debian/control: Remove leading article from Description: 	[lintian]

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 19 May 2011 14:15:20 -0500

gretl (1.9.5-1) unstable; urgency=low

  * New upstream release

  * debian/rules: Still configure with  '--disable-sse2'

  * debian/rules: Add short find and perl snippet to process .la files 
    in order to empty dependency_libs 			(Closes: #621213)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 23 Apr 2011 09:14:38 -0500

gretl (1.9.4-3) unstable; urgency=low

  * debian/rules: Undo unconditional -msse2 addition, this needs to get
    fixed in configure upstream.			(Closes: #617971)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 12 Mar 2011 19:22:51 -0600

gretl (1.9.4-2) unstable; urgency=low

  * debian/rules: Set -msse2 explicitly as per discussion with upstream

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 09 Mar 2011 19:23:52 -0600

gretl (1.9.4-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Updated Build-Depends: to libgmp-dev
  * debian/rules: Change to --disable-sse2 as build fails in auto mode,
    also switch to --disable-openmp after discussion with upstream

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 07 Mar 2011 12:12:26 -0600

=== debian/control ===
Source: gretl
Section: math
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7.0.0), libgtk2.0-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot (>= 4.2), gnuplot-x11 (>= 4.2), libgmp-dev, libaudiofile-dev, libesd0-dev, libfreetype6-dev, libpng12-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, gfortran, r-base-dev, unixodbc-dev

Package: gretl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gretl-common (>= ${source:Version}), gnuplot (>= 4.2)
Recommends: gretl-data, gretl-doc
Description: GNU Regression, Econometric & Time-Series Library
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides the GTK+ client and the command-line client.

Package: libgretl1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} 
Conflicts: libesl0, libgretl0
Replaces: libesl0, libgretl0
Description: GNU Regression, Econometric & Time-Series Library -- library package 
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides the shared library.

Package: libgretl1-dev
Section: libdevel
Architecture: any
Depends: gretl, libgretl1 (= ${binary:Version}), ${misc:Depends}
Conflicts: libesl0-dev, libgretl0-dev
Replaces: libesl0-dev, libgretl0-dev
Description: GNU Regression, Econometric & Time-Series Library -- development package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides the static library and header files.

Package: gretl-common
Section: math
Architecture: all
Suggests: gretl (>= ${source:Version})
Conflicts: gretl (<= 1.2.2-1)
Replaces: gretl (<= 1.2.2-1)
Depends: ttf-freefont, ttf-dejavu, ${misc:Depends}
Description: GNU Regression, Econometric & Time-Series Library -- scripts package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides scripts (included in the gretl sources) which are 
 used by the main gretl program.

Package: gretl-data
Section: math
Architecture: all
Depends: gretl (>= ${source:Version}), ${misc:Depends}
Conflicts: gretl (<= 1.2.2-1)
Replaces: gretl (<= 1.2.2-1)
Description: GNU Regression, Econometric & Time-Series Library -- data package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis. The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides data sets (included in the gretl sources) which are 
 used by the main gretl program.

Package: gretl-doc
Section: doc
Architecture: all
Recommends: gretl 
Depends: ${misc:Depends}
Conflicts: gretl (<= 1.2.2-1)
Replaces: gretl (<= 1.2.2-1)
Description: GNU Regression, Econometric & Time-Series Library -- doc package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides documentation and examples included in the gretl 
 sources.

## gretl 1.9.6

=== win32/Makefile ===
--- 
+++ 
@@ -28,16 +28,16 @@
 GTKLIBS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --libs gtk+-win32-2.0)
 GLIBLIB := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --libs glib-2.0)
 CLI_LIBS = -lreadline -lhistory
-GUI_LIBS = -lwsock32 -lole32 $(GTKLIBS) -lgtksourceview -lxml2 -L$(imports)
+GUI_LIBS = -lwsock32 -lole32 $(GTKLIBS) -lgtksourceview-2.0 -lxml2 -L$(imports)
 GRETLLIB = -L$(imports) -lgretl -lintl
 LIBS = -lm $(GRETLLIB) -ladvapi32
 LAPACK_LIBS = -llapack.dll -lblas.dll
 FFTW_LIBS = -lfftw3
 
 # flags/defines
-CFLAGS = -I. -I$(libsrcdir) -I$(plugindir) -I$(guidir) \
-  -I$(XML2_INC) -I$(zipdir) $(RLIB_CFLAGS) 
-GTK_CFLAGS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --cflags gtk+-win32-2.0)
+CFLAGS = -I. -I$(libsrcdir) -I$(plugindir) -I$(guidir) -I$(zipdir) \
+  -I$(XML2_INC) $(RLIB_CFLAGS) 
+GTK_CFLAGS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --cflags gtk+-win32-2.0 gtksourceview-2.0)
 
 ifeq ($(BUILDTYPE),cross)
   GRETL_LANG = cross_lang
@@ -67,6 +67,7 @@
 PLUGINSRC = \
 	arbond.c \
 	excel_import.c \
+	xlsx_import.c \
 	gnumeric_import.c \
 	eviews_import.c \
 	stata_import.c \
@@ -119,6 +120,7 @@
 	plugins/gnumeric_import.dll \
 	plugins/eviews_import.dll \
 	plugins/excel_import.dll \
+	plugins/xlsx_import.dll \
 	plugins/stata_import.dll \
 	plugins/spss_import.dll \
 	plugins/sas_import.dll \
@@ -305,8 +307,8 @@
 	mo/pt.mo mo/ru.mo mo/rw.mo mo/tr.mo mo/cs.mo mo/sq.mo
 
 %.o: %.c
-	$(CC) -c $(CFLAGS) $(GTK_CFLAGS) $<
-	$(CC) -MM $(CFLAGS) $(GTK_CFLAGS) $< > $*.d 
+	$(CC) -c $(GTK_CFLAGS) $(CFLAGS) $<
+	$(CC) -MM $(GTK_CFLAGS) $(CFLAGS) $< > $*.d 
 
 # targets begin
 
@@ -401,6 +403,11 @@
 	--implib plugins/$(<:.o=.a) $^ -L$(imports) -lxml2 \
 	$(GRETLLIB) $(GTKLIBS)
 
+plugins/xlsx_import.dll: xlsx_import.o dllinit.o
+	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
+	--implib plugins/$(<:.o=.a) $^ -L$(imports) -lxml2 \
+	$(GRETLLIB) $(GTKLIBS)
+
 plugins/excel_import.dll: excel_import.o workbook.o ms-ole.o dllinit.o
 	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
 	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) $(GTKLIBS) -lmoldname
@@ -447,9 +454,3 @@
 
 plugins/nistcheck.dll: nistcheck.o dllinit.o
 	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
-	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) $(LAPACK_LIBS)
-
-plugins/arbond.dll: arbond.o dllinit.o
-	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
-	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) $(LAPACK_LIBS)
-

=== debian/changelog ===
gretl (1.9.6-2) unstable; urgency=low

  * debian/control: Change Build-Depends: to libpng-dev	(Closes: #662362)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 07 Mar 2012 13:13:29 -0600

gretl (1.9.6-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Added libgtksourceview2.0-dev to Build-Depends:
  
  * debian/libgretl1.shlibs: Updated to minor number 1
  * libgretl1.lintian-overrides: Updated accordingly

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 17 Oct 2011 18:16:33 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: math
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 3.9.1
-Build-Depends: debhelper (>= 7.0.0), libgtk2.0-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot (>= 4.2), gnuplot-x11 (>= 4.2), libgmp-dev, libaudiofile-dev, libesd0-dev, libfreetype6-dev, libpng12-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, gfortran, r-base-dev, unixodbc-dev
+Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7.0.0), libgtk2.0-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot (>= 4.2), gnuplot-x11 (>= 4.2), libgmp-dev, libaudiofile-dev, libesd0-dev, libfreetype6-dev, libpng-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, gfortran, r-base-dev, unixodbc-dev, libgtksourceview2.0-dev
 
 Package: gretl
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f 					
 # 							-*- makefile -*-
 # debian/rules file for the Debian/GNU Linux gretl package
-# Copyright 2000 - 2007 by Dirk Eddelbuettel <edd@debian.org>
+# Copyright 2000 - 2011 by Dirk Eddelbuettel <edd@debian.org>
 
 package := $(shell head -1 debian/changelog | awk '{print $$1}')
 sonum   := 1
@@ -28,7 +28,7 @@
         # lynx http://gretl.sourceforge.net
         # lynx http://unc.dl.sourceforge.net/sourceforge/gretl
 	links http://prdownloads.sourceforge.net/gretl
-        #l inks http://twtelecom.dl.sourceforge.net/sourceforge/gretl
+        # links http://twtelecom.dl.sourceforge.net/sourceforge/gretl
 
 configure: configure-stamp
 configure-stamp:
@@ -43,10 +43,10 @@
 			--with-tramo-seats		\
 			--with-libR			\
 			--with-odbc			\
-			--enable-openmp			\
 			--enable-static			\
 			--enable-shared			\
 			--disable-rpath			\
+			--disable-sse2			\
 			--build $(arch)
 	touch configure-stamp
 
@@ -55,10 +55,14 @@
 #   --with-gtk2			
 #   --without-libole2		
 #  --without-gtkextra		
-
-
-build: configure build-stamp
-build-stamp:
+#
+# edd 12 Mar 2011   cannot buikd wuth this
+#			--disable-sse2			
+
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+build-stamp: configure-stamp
 	dh_testdir
 	$(MAKE) CC=gcc CFLAGS="$(compilerflags) -D_REENTRANT"
 	touch build-stamp
@@ -133,6 +137,13 @@
 #		   $(CURDIR)/debian/$$p/usr/share/lintian/overrides/$$p; \
 #		done
 	dh_lintian
+
+        # edd 23 Apr 2011
+        # empty dependency_lib in .la files (cf #621213)	
+	find debian/$(package) -name \*.la | \
+		xargs perl -p -i -e "s/dependency_libs='.*'/dependency_libs=''/" 
+	find debian/$(libpack) -name \*.la | \
+		xargs perl -p -i -e "s/dependency_libs='.*'/dependency_libs=''/" 
 
 	touch install-stamp

## gretl 1.9.9

=== win32/Makefile ===
--- 
+++ 
@@ -275,6 +275,7 @@
 	session.c \
 	settings.c \
 	ssheet.c \
+	tabwin.c \
 	textbuf.c \
 	textutil.c \
 	toolbar.c \
@@ -297,7 +298,7 @@
 
 PROBOBJ = $(PROBSRC:.c=.o)
 
-MINSRC = chkder.c dpmpar.c enorm.c fdjac2.c lmder1.c lmder.c lmdif.c lmpar.c \
+MINSRC = chkder.c enorm.c fdjac2.c lmder1.c lmder.c lmdif.c lmpar.c \
 	qrfac.c qrsolv.c lbfgsb.c
 MINOBJ = $(MINSRC:.c=.o)
 
@@ -316,10 +317,10 @@
 	$(PLUGINS) gretlcli.exe gretlw32.exe $(MOFILES) $(GRETL_LANG) gretl_updater.exe
 
 gretlcli.exe: $(CLIOBJ)
-	$(CC) -o $@ $^ $(LIBS) $(CLI_LIBS) -lzlib1 -lmingwex -s
+	$(CC) -o $@ $^ $(LIBS) $(CLI_LIBS) -lz -lmingwex -s
 
 gretlw32.exe: $(GUIOBJ) gretlres.o
-	$(CC) -mwindows -o $@ $^ $(LIBS) $(GUI_LIBS) -lzlib1 -lmingwex -s
+	$(CC) -mwindows -o $@ $^ $(LIBS) $(GUI_LIBS) -lz -lmingwex -s
 
 gretlres.o: gretlw32.rc 
 	$(RC) $(RCFLAGS) $< $@
@@ -345,7 +346,7 @@
 dlls/libgretl.dll: $(LIBOBJ) $(MINOBJ) dllinit.o
 	$(DLLWRAP) $(DLLWRAP_FLAGS) \
 	--output-def libgretl.def --implib $(imports)/libgretl.a \
-	-o $@ $^ -lm -L$(imports) -lxml2 -lzlib1 -lintl -lprob -lgmp.dll \
+	-o $@ $^ -lm -L$(imports) -lxml2 -lz -lintl -lprob -lgmp.dll \
 	-lmingwex -lwsock32 $(GLIBLIB) $(LAPACK_LIBS) $(FFTW_LIBS)
 
 dlls/libprob.dll: $(PROBOBJ) dllinit.o
@@ -355,7 +356,7 @@
 
 plugins/stats_tables.dll: stats_tables.o dllinit.o 
 	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
-	--implib plugins/$(<:.o=.a) $^ -lzlib1 $(GRETLLIB)
+	--implib plugins/$(<:.o=.a) $^ -lz $(GRETLLIB)
 
 plugins/range-mean.dll: range-mean.o dllinit.o 
 	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
@@ -383,7 +384,7 @@
 
 plugins/urcdist.dll: urcdist.o dllinit.o
 	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
-	--implib plugins/$(<:.o=.a) $^ -lzlib1 -lm -lintl $(GRETLLIB)
+	--implib plugins/$(<:.o=.a) $^ -lz -lm -lintl $(GRETLLIB)
 
 plugins/tramo-x12a.dll: tramo-x12a.o tramo_options.o dllinit.o
 	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \

=== debian/changelog ===
gretl (1.9.9-1) unstable; urgency=low

  * New upstream release

  * debian/libgretl1.shlibs: Set to 'libgretl-1.0 4 libgretl1 (>= 1.9.9)'

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 01 Jun 2012 18:41:19 -0500

gretl (1.9.8-1) unstable; urgency=low

  * New upstream release

  * debian/libgretl1.shlibs: Set to 'libgretl-1.0 3 libgretl1 (>= 1.9.8)'
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 29 Mar 2012 15:31:48 -0500

## gretl 1.9.11

=== win32/Makefile ===
--- 
+++ 
@@ -33,6 +33,7 @@
 LIBS = -lm $(GRETLLIB) -ladvapi32
 LAPACK_LIBS = -llapack.dll -lblas.dll
 FFTW_LIBS = -lfftw3
+CURL_LIBS = -lcurl.dll
 
 # flags/defines
 CFLAGS = -I. -I$(libsrcdir) -I$(plugindir) -I$(guidir) -I$(zipdir) \
@@ -195,7 +196,6 @@
 	gretl_paths.c \
 	gretl_prn.c \
 	gretl_restrict.c \
-	gretl_scalar.c \
 	gretl_string_table.c \
 	gretl_untar.c \
 	gretl_utils.c \
@@ -228,6 +228,7 @@
 	transforms.c \
 	tsls.c \
         usermat.c \
+	uservar.c \
 	var.c \
 	varprint.c \
 	vartest.c \
@@ -347,7 +348,7 @@
 	$(DLLWRAP) $(DLLWRAP_FLAGS) \
 	--output-def libgretl.def --implib $(imports)/libgretl.a \
 	-o $@ $^ -lm -L$(imports) -lxml2 -lz -lintl -lprob -lgmp.dll \
-	-lmingwex -lwsock32 $(GLIBLIB) $(LAPACK_LIBS) $(FFTW_LIBS)
+	-lmingwex -lwsock32 $(GLIBLIB) $(LAPACK_LIBS) $(FFTW_LIBS) $(CURL_LIBS)
 
 dlls/libprob.dll: $(PROBOBJ) dllinit.o
 	$(DLLWRAP) $(DLLWRAP_FLAGS) \

=== win32/mo/Makefile ===
include ../config.mk

vpath %.po ../../po

%.mo: %.po
	$(WIN32_MSGFMT) -o $@ $<

all: de.mo el.mo es.mo eu.mo fr.mo it.mo pl.mo ru.mo rw.mo tr.mo pt.mo pt_BR.mo zh_TW.mo cs.mo sq.mo

clean:
	rm -f *.mo

=== debian/changelog ===
gretl (1.9.11-2) unstable; urgency=low

  * debian/gretl-common.files: Add usr/share/{applications,mime-info} back
    in to get files back in gretl-common		(Closes: #694151)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 24 Nov 2012 06:56:39 -0600

gretl (1.9.11-1) unstable; urgency=low

  * New upstream release

  * debian/rules: Added '--disable-xdg-utils' to configure as xdg-utils 
    used for single-user installations (as opposed to packagers)
  
  * debian/libgretl1.shlibs: Set to 'libgretl-1.0 6 libgretl1 (>= 1.9.11)'
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 22 Nov 2012 09:19:05 -0600

gretl (1.9.10-2) unstable; urgency=low

  * debian/control: Correct Build-Depends: on virtual libcurl-dev to
    "libcurl4-gnutls-dev | libcurl4-dev" to provide a default
    implementation via libcurl4-gnutls-dev 		(Closes: #692603)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 07 Nov 2012 14:56:51 -0600

gretl (1.9.10-1) unstable; urgency=low

  * New upstream release

  * debian/control: Increase Standard-Version: to current value

  * debian/libgretl1.shlibs: Set to 'libgretl-1.0 5 libgretl1 (>= 1.9.10)'
  
  * debian/control: Added libcurl-dev to Build-Depends
  
  * debian/rules: Updated to reflect change upstream code organization

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 06 Nov 2012 16:12:33 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: math
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 7.0.0), libgtk2.0-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot (>= 4.2), gnuplot-x11 (>= 4.2), libgmp-dev, libaudiofile-dev, libesd0-dev, libfreetype6-dev, libpng-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, gfortran, r-base-dev, unixodbc-dev, libgtksourceview2.0-dev
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 7.0.0), libgtk2.0-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot (>= 4.2), gnuplot-x11 (>= 4.2), libgmp-dev, libaudiofile-dev, libesd0-dev, libfreetype6-dev, libpng-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, gfortran, r-base-dev, unixodbc-dev, libgtksourceview2.0-dev, libcurl4-gnutls-dev | libcurl4-dev
 
 Package: gretl
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -47,6 +47,7 @@
 			--enable-shared			\
 			--disable-rpath			\
 			--disable-sse2			\
+			--disable-xdg-utils		\
 			--build $(arch)
 	touch configure-stamp
 
@@ -90,13 +91,15 @@
 	dh_prep
 	dh_installdirs	
 	dh_installdirs -p$(package) 	usr/share/gnome/apps/Applications \
-					usr/share/pixmaps
+					usr/share/applications \
+					usr/share/mime-info \
+					usr/share/pixmaps 
 	$(MAKE) prefix=$(debtmp)/usr 			\
 		gnome_prefix=$(debtmp)/usr 		\
 		mandir=$(debtmp)/usr/share/man		install
-	(cd gnome && $(MAKE) prefix=$(debtmp)/usr 	\
-		gnome_prefix=$(debtmp)/usr 		\
-		mandir=$(debtmp)/usr/share/man		install-misc )
+#	(cd gnome && $(MAKE) prefix=$(debtmp)/usr 	\
+#		gnome_prefix=$(debtmp)/usr 		\
+#		mandir=$(debtmp)/usr/share/man		install-misc )
 
         #	infodir=$(debtmp)/usr/share/info	\
         # dh_undocumented		gretl.1 gretlcli.1 gretl_x11.1

## gretl 1.9.12

=== win32/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 host_builddir = $(topsrc)/build
 
 # tools (can add -fopenmp to CC if wanted)
-CC = $(MGW_PREFIX)gcc -msse2 -Wall -O2 -mms-bitfields -DWIN32
+CC = $(MGW_PREFIX)gcc -msse2 -fopenmp -Wall -O2 -mms-bitfields -DWIN32
 AS = $(MGW_PREFIX)as
 DLLWRAP = $(MGW_PREFIX)dllwrap
 DLLWRAP_FLAGS = --as=$(AS) --export-all --driver-name $(CC) -s
@@ -36,8 +36,7 @@
 CURL_LIBS = -lcurl.dll
 
 # flags/defines
-CFLAGS = -I. -I$(libsrcdir) -I$(plugindir) -I$(guidir) -I$(zipdir) \
-  -I$(XML2_INC) $(RLIB_CFLAGS) 
+CFLAGS = -I. -I$(libsrcdir) -I$(plugindir) -I$(guidir) -I$(zipdir) -I$(XML2_INC) $(RLIB_CFLAGS) 
 GTK_CFLAGS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --cflags gtk+-win32-2.0 gtksourceview-2.0)
 
 ifeq ($(BUILDTYPE),cross)
@@ -112,7 +111,8 @@
 	quantreg.c \
 	interval.c \
 	anova.c \
-	biprobit.c
+	biprobit.c \
+	reprobit.c
 
 PLUGINOBJ = $(PLUGINSRC:.c=.o)
 
@@ -154,6 +154,7 @@
 	plugins/anova.dll \
 	plugins/interpolate.dll \
 	plugins/biprobit.dll \
+	plugins/reprobit.dll \
 	plugins/panurc.dll
 
 LIBSRC = adf_kpss.c \
@@ -455,4 +456,3 @@
 	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) $(GTKLIBS) $(LAPACK_LIBS)
 
 plugins/nistcheck.dll: nistcheck.o dllinit.o
-	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \

=== debian/changelog ===
gretl (1.9.12-1) unstable; urgency=low

  * New upstream release

  * debian/libgretl1.shlibs: Set to 'libgretl-1.0 7 libgretl1 (>= 1.9.12)'
 
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 16 Mar 2013 09:06:56 -0500
